You can sign up to get a daily email of our articles, see the Mailing List page!
Support us on Patreon to keep GamingOnLinux alive. This ensures we have no timed articles and no paywalls. Just good, fresh content! Alternatively, you can support us on Paypal and Liberapay!
  Go to:
[CANNOT BE SOLVED] F1 2015/2017 - AMD status
pete910 commented on 2 January 2018 at 5:02 pm UTC

For get the "runs on windows" bit, It's apples to oranges statement.

It does not matter if it can make you breakfast too, If said hardware does not have the function then it wont work period, Feral cannot suddenly make your hardware complaint.

I understand your annoyance I really do but thinks need and do move forward, I too am annoyed at feral but this particular reason you are stating is not within their control

kamelie1706 commented on 2 January 2018 at 5:48 pm UTC

I believe the opposite (It is not an hardware issue but a software choice in this case) but obviously we do not understand each other ;-)

Anyway this is not a game I would buy a total core new system for!

damarrin commented on 3 January 2018 at 11:02 am UTC

kamelie1706It is not an hardware issue but a software choice in this case

Clearly that's the case. I find it quite plausible that it's just a compiler flag, too.

kamelie1706 commented on 6 January 2018 at 11:52 am UTC

For the "too old processor", I get on the same hardware on windows:
- Resolution: 2560x1080
- Details: Medium
- Min Fps: 54
- Avg Fps: 62
- Max Fps: 72

Not bad for an "old" platform ... come on Feral I am sure you can do better ... at least let me play in 320x240 at minimun settings :-)

bintsmok commented on 11 January 2018 at 11:55 am UTC

kamelie1706Feral found the reason
« Processor too old and does not support ssse3 »

Well, I do not consider it « too old » and perfectly ok for most I do (including gaming!)

I was thinking buying f1 2017 ... I guess I will not support feral on this one!

It is linked to Feral port limitation as no issue on windows for the same processor ...

I checked the minimum system requirements and it states AMD FX-6300

Here is an instruction set comparison between FX-6300 and Phenom II X6 1055T

  • The FX-6300 has SSSE3, SSE4.1 and SSE4.2 instructions enabled.
  • The FX-6300 features AVX, F16C, FMA3 and XOP instructions. These extensions are not extensively used by applications yet, however their support should improve in future apps.
  • The AMD FX-6300 has FMA4 instruction set extension enabled. The FMA4 technology is only offered on AMD CPUs, therefore it may not get broad support from software vendors.


Phenom II X6 1055T is about to turn 8 years old this April 2018. So, yeah, it's too old when it comes to gaming purposes.

kamelie1706For the "too old processor", I get on the same hardware on windows:
- Resolution: 2560x1080
- Details: Medium
- Min Fps: 54
- Avg Fps: 62
- Max Fps: 72

Not bad for an "old" platform ... come on Feral I am sure you can do better ... at least let me play in 320x240 at minimun settings :-)

Also consider that Feral Interactive is still relatively a newbie in developing games on Linux.

kamelie1706 commented on 11 January 2018 at 12:49 pm UTC

Lack of SSSE3 instructions is indeed the problem ... for the Linux port not for Windows. This is the point and hope it could be fixed with a little bit of work from Feral.

I do not understand why people accepts the argument "it is too old" while "it is powerfull enought" is more relevant to me.
I am probably too old for that kind of crap (and you also if you know what movie I am referring too) :-)

Avehicle7887 commented on 11 January 2018 at 10:36 pm UTC

Sounds familiar, Trine 3 doesn't run natively on Intel HD graphics but runs perfectly with Wine. Apparently it was also built with instructions that the Windows version doesn't use.

mirv commented on 11 January 2018 at 10:38 pm UTC

While I do consider that the PhenomII is still a relevant CPU, I can also understand Feral not including it in their supported hardware list. It's more than just changing some build parameters and pressing a button - especially if they have code in there (either from themselves or from linking against some library) that has hand crafted code using those instructions.

So yeah, it'd be nice if Feral could fix it, but I would understand if they didn't.

  Go to:

Due to spam you need to Register and Login to comment.


Or login with...

Livestreams & Videos
Community Livestreams
See more!
Popular this week
View by Category
Contact
Latest Forum Posts
Facebook